/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package open.dolphin.client;

import java.awt.event.MouseListener;
import java.awt.print.PageFormat;
import open.dolphin.infomodel.DocumentModel;

/**
 *
 * @author oda
 */
public interface IKarteViewer extends Comparable, IChartDocument {

    public void setSelected(boolean selected);

    public String getDocType();

    public void setAvoidEnter(boolean b);

    public int getActualHeight();

    public DocumentModel getModel();

    public void setModel(DocumentModel model);

    /**
     *
     * @param ml
     */
    public void addMouseListener(MouseListener ml);

    /**
     *
     * @param format
     */
    public void printPanel2(final PageFormat format);

    public void printPanel2(final PageFormat format, final int copies, final boolean useDialog);
}
